<template>
  <div
    @mouseover="hover = true"
    @mouseleave="hover = false"
    class="shadow-sm rounded-2xl select-none cursor-pointer h-60 w-80 border-2 border-black"
  >
    <div class="text-2xl h-full pt-5 flex flex-col items-center gap-5">
      <span class="text-gray-900">{{ title }}</span>
      <div class="pt-5">
        <img :src="require(`@/assets/${image}`)" class="h-24" />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "HomePageButton",
  props: {
    title: String,
    image: String,
  },

  methods: {},

  data() {
    return { hover: false };
  },
};
</script>

<style scoped>
</style>